package com.mcwl.system.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.common.utils.SecurityUtils;
import com.mcwl.system.domain.SysAdvice;
import com.mcwl.system.domain.SysUserThirdAccount;
import com.mcwl.system.domain.enums.AdviceEnum;
import com.mcwl.system.domain.vo.AdviceVo;
import com.mcwl.system.mapper.SysAdviceMapper;
import com.mcwl.system.service.ISysAdviceService;
import com.mcwl.system.service.IWXService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.nio.charset.StandardCharsets;
import java.util.Collections;
import java.util.List;

/**
 * 消息管理 业务层处理
 */
@Service
public class SysAdviceServiceImpl extends ServiceImpl<SysAdviceMapper, SysAdvice> implements ISysAdviceService {


    @Override
    public List<AdviceVo> getUserNewMsg() {

        Long userId = SecurityUtils.getUserId();

        List<SysAdvice> sysAdvices = baseMapper.selectList(lambdaQuery()
                .eq(SysAdvice::getReceiverId, userId)
                .eq(SysAdvice::getType, AdviceEnum.NEW_MESSAGE_REMIND));

        return BeanUtil.copyToList(sysAdvices, AdviceVo.class);
    }

    @Override
    public List<AdviceVo> getUserSystemNotice() {
        Long userId = SecurityUtils.getUserId();

        List<SysAdvice> sysAdvices = baseMapper.selectList(lambdaQuery()
                .eq(SysAdvice::getReceiverId, userId)
                .eq(SysAdvice::getType, AdviceEnum.SYSTEM_NOTICE));

        return BeanUtil.copyToList(sysAdvices, AdviceVo.class);
    }

    @Override
    public List<AdviceVo> getUserAllMsg() {
        Long userId = SecurityUtils.getUserId();

        List<SysAdvice> sysAdvices = baseMapper.selectList(lambdaQuery()
                .eq(SysAdvice::getReceiverId, userId));

        return BeanUtil.copyToList(sysAdvices, AdviceVo.class);
    }

    @Override
    public List<AdviceVo> getAllMsg() {

        List<SysAdvice> sysAdvices = baseMapper.selectList(null);

        return BeanUtil.copyToList(sysAdvices, AdviceVo.class);
    }
}
